namespace('sync.api');

/**
 * Information describing a position.
 * @constructor
 */
sync.api.PositionInformation = function() {};
/**
 * Get the element, the comment or the PI that contains the position.
 * This method doesn't return text nodes.
 * @return {Node}
 */
sync.api.PositionInformation.prototype.getParentNode = function() {};
/**
 * In case of o position placed on a tag, this will return the element, the comment or the PI represented by the tag.
 * @return {Node}
 */
sync.api.PositionInformation.prototype.getNodeOfTag = function() {};
/**
 * @return {boolean} <code>true</code> if position is on a start tag.
 */
sync.api.PositionInformation.prototype.isOnStartTag = function() {};
/**
 * @return {boolean} <code>true</code> if position is on an end tag.
 */
sync.api.PositionInformation.prototype.isOnEndTag = function() {};
/**
 * @return {boolean} <code>true</code> if position is inside a text node.
 */
sync.api.PositionInformation.prototype.isOnText = function() {};
/**
 * @return {number|null} when <code>isOnText()</code> is <code>true</code> this will return the offset in the text node.
 */
sync.api.PositionInformation.prototype.getOffsetInText = function() {};

export default sync.api.PositionInformation;